Bug 376421 - Review Request: tla - A version control system
Review Request: tla - A version control system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 14:45 EST by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 14:33:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-11-11 14:45:40 EST
Spec URL: http://rishi.fedorapeople.org/tla.spec
SRPM URL: http://rishi.fedorapeople.org/tla-1.3.5-1.fc8.src.rpm


Description:

GNU Arch 1 (also known as tla) is a revision control system, similar in
purpose to tools such as CVS, SCCS, and Subversion. It is used to keep track
of the changes made to a source tree and to help programmers combine and
otherwise manipulate changes made by multiple people or at different times.

TLA is a punning acronym that stands for either "true love, always" and "three
letter acronym".
Comment 1 Debarshi Ray 2007-11-11 14:53:57 EST
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=235504

I inherited this package from Josh Boyer, who last updated it on August 23.
Since then there has been a upstream release and I would like to pass this
through a review.
Comment 2 Jason Tibbitts 2007-11-16 01:08:07 EST
Builds OK (although with a staggering amount of warnings) and rpmlint is clean.

The license tag is wrong.  The source doesn't include any statement of GPL
version, but docs-tla/index.tst says version 2 or later, so you should have
License: GPLv2+.

I have to say, that's one ugly build process.

I note you remove all of the original changelog.  It's fine to remove old stuff,
but I'd be uneasy about removing all of it.

Really, the only blocker I see is that the License: tag needs a '+', so I'll go
ahead and approve this and you can fix it when you take over the package.  But
do think about keeping some of the original changelog entries.

* source files match upstream:
   40aa82ca9678878ecdcac94d8890a63fe8064141a53d1652409a5c1383fcae06  
   tla-1.3.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently 
  (It's about as clean as you can ask for when the build process is so nasty.)
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   tla = 1.3.5-1.fc9
  =
   /bin/sh
   diffutils
   libneon.so.27()(64bit)
   patch
   tar

* %check is present and all tests pass.  (Test output is too long to paste.)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Debarshi Ray 2007-11-16 01:22:19 EST
(In reply to comment #2) 

> The license tag is wrong.  The source doesn't include any statement of GPL
> version, but docs-tla/index.tst says version 2 or later, so you should have
> License: GPLv2+.

It is not so simple. There is a twist in every Arch tale. Have a look:
http://lists.gnu.org/archive/html/gnu-arch-users/2007-11/msg00002.html

So as per upstream's advice I am keeping License as GPLv2 until they migrate to
GPLv3+ or something else.

> I note you remove all of the original changelog. It's fine to remove old
> stuff but I'd be uneasy about removing all of it.

The problem is that there are too many changelog files. I was at a loss to
figure out which one(s) to include in the package.
Comment 4 Jason Tibbitts 2007-11-16 10:19:31 EST
The problem is that thread doesn't seem to mention the documentation file which
explicitly states GPLv2+.  I don't believe it's smart to trust an
unauthenticated mailing list post over what's actually in the tarball, but if
you're going to do that kind of thing you need to document what you're doing by
including copies of the relevant messages in your package.

About the changelog, I was speaking of %changelog in the spec.  You should of
course always include all relevant changelog files along with the rest of the
documentation from the tarball itself.
Comment 5 Debarshi Ray 2007-11-16 12:25:05 EST
(In reply to comment #4)

> The problem is that thread doesn't seem to mention the documentation file which
> explicitly states GPLv2+.  I don't believe it's smart to trust an
> unauthenticated mailing list post over what's actually in the tarball,

Alright. I shall use GPLv2+.

Comment 6 Debarshi Ray 2007-11-16 12:26:12 EST
New Package CVS Request
=======================
Package Name: tla
Short Description: A version control system
Owners: rishi
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 7 Kevin Fenzi 2007-11-16 23:27:02 EST
cvs done.
Comment 8 Kevin Fenzi 2007-11-16 23:34:47 EST
Strike that last comment... this package already appears to be in fedora. 
Is this a different package by the same name? 

Set it back to be owned by it's maintainer for now until we can get this figured
out. 
Comment 9 Debarshi Ray 2007-11-17 00:40:38 EST
(In reply to comment #8)

> Strike that last comment... this package already appears to be in fedora. 
> Is this a different package by the same name? 
> 
> Set it back to be owned by it's maintainer for now until we can get this figured
> out. 

Those two are the same package. I inherited tla from Josh Boyer (see comment
#1). I was not sure whether I needed to request the CVS again as there had been
some changes (eg., %description).

Sorry for the confusion.
Comment 10 Kevin Fenzi 2007-11-17 09:35:52 EST
Sorry for the confusion here too. ;( 

I have reset you back to owner, so you should be all set now. 
Let me know if you need any further cvs changes. 

Note You need to log in before you can comment on or make changes to this bug.